> For the complete documentation index, see [llms.txt](https://www.cakewalk.security/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/policies/get-policies-compatiblepolicies-requesttype.md).

# GET /Policies/CompatiblePolicies/{requestType}

## GET /api/v1/Policies/CompatiblePolicies/{requestType}

> Lists all policies that are compatible with the specified request type.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"RequestType":{"enum":["GrantAccessRequest","RemoveAccessRequest","ArchiveWorkAppRequest","ChangePermissionLevelRequest","AddNewManagedWorkAppRequest"],"type":"string"},"PolicySimplifiedListViewModelV1":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PolicySimplifiedViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"PolicySimplifiedViewModelV1":{"required":["id","name","requestTypes","tags"],"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the policy","format":"uuid"},"name":{"minLength":1,"type":"string","description":"The name of the policy."},"description":{"type":"string","description":"A brief description of the policy.","nullable":true},"requestTypes":{"type":"array","items":{"type":"string"},"description":"The list of request types where this policy is globally set as the default."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tags associated with this policy."}},"additionalProperties":false,"description":"Represents a simplified view of a policy, including metadata such as applicable request types and system-level designation."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/Policies/CompatiblePolicies/{requestType}":{"get":{"tags":["Policies"],"summary":"Lists all policies that are compatible with the specified request type.","parameters":[{"name":"requestType","in":"path","description":"The type of request for which compatible policies are retrieved.","required":true,"schema":{"allOf":[{"$ref":"#/components/schemas/RequestType"}]}},{"name":"cursor","in":"query","description":"Optional pagination cursor for fetching the next page of results.\nRefer to the pagination section in the documentation for usage details.","schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PolicySimplifiedListViewModelV1"}},"application/json":{"schema":{"$ref":"#/components/schemas/PolicySimplifiedListViewModelV1"}},"text/json":{"schema":{"$ref":"#/components/schemas/PolicySimplifiedListViewModelV1"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/policies/get-policies-compatiblepolicies-requesttype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
